/*
   This file is public domain.

   The data is a matter of public record, and comes from

      http://www.olympics.org/
      http://en.wikipedia.org/wiki/Olympic_Games
*/


SET search_path TO sqltutor_data;

BEGIN;

INSERT INTO ioc_codes (country_code, country) VALUES
( 'AFG', 'Afghanistan'),
( 'AHO', 'Netherlands Antilles'),
( 'ALB', 'Albania'),
( 'ALG', 'Algeria'),
( 'AND', 'Andorra'),
( 'ANG', 'Angola'),
( 'ANT', 'Antigua and Barbuda'),
( 'ARG', 'Argentina'),
( 'ARM', 'Armenia'),
( 'ARU', 'Aruba'),
( 'ASA', 'American Samoa'),
( 'AUS', 'Australia'),
( 'AUT', 'Austria'),
( 'AZE', 'Azerbaijan'),
( 'BAH', 'Bahamas'),
( 'BAN', 'Bangladesh'),
( 'BAR', 'Barbados'),
( 'BDI', 'Burundi'),
( 'BEL', 'Belgium'),
( 'BEN', 'Benin'),
( 'BER', 'Bermuda'),
( 'BHU', 'Bhutan'),
( 'BIH', 'Bosnia and Herzegovina'),
( 'BIZ', 'Belize'),
( 'BLR', 'Belarus'),
( 'BOL', 'Bolivia'),
( 'BOT', 'Botswana'),
( 'BRA', 'Brazil'),
( 'BRN', 'Bahrain'),
( 'BRU', 'Brunei'),
( 'BUL', 'Bulgaria'),
( 'BUR', 'Burkina Faso'),
( 'CAF', 'Central African Republic'),
( 'CAM', 'Cambodia'),
( 'CAN', 'Canada'),
( 'CAY', 'Cayman Islands'),
( 'CGO', 'Congo'),
( 'CHA', 'Chad'),
( 'CHI', 'Chile'),
( 'CHN', 'China'),
( 'CIV', 'Côte d''Ivoire'),
( 'CMR', 'Cameroon'),
( 'COD', 'DR Congo'),
( 'COK', 'Cook Islands'),
( 'COL', 'Colombia'),
( 'COM', 'Comoros'),
( 'CPV', 'Cape Verde'),
( 'CRC', 'Costa Rica'),
( 'CRO', 'Croatia'),
( 'CUB', 'Cuba'),
( 'CYP', 'Cyprus'),
( 'CZE', 'Czech Republic'),
( 'DEN', 'Denmark'),
( 'DJI', 'Djibouti'),
( 'DMA', 'Dominica'),
( 'DOM', 'Dominican Republic'),
( 'ECU', 'Ecuador'),
( 'EGY', 'Egypt'),
( 'ERI', 'Eritrea'),
( 'ESA', 'El Salvador'),
( 'ESP', 'Spain'),
( 'EST', 'Estonia'),
( 'ETH', 'Ethiopia'),
( 'FIJ', 'Fiji'),
( 'FIN', 'Finland'),
( 'FRA', 'France'),
( 'FSM', 'Micronesia'),
( 'GAB', 'Gabon'),
( 'GAM', 'Gambia'),
( 'GBR', 'Great Britain'),
( 'GBS', 'Guinea-Bissau'),
( 'GEO', 'Georgia'),
( 'GEQ', 'Equatorial Guinea'),
( 'GER', 'Germany'),
( 'GHA', 'Ghana'),
( 'GRE', 'Greece'),
( 'GRN', 'Grenada'),
( 'GUA', 'Guatemala'),
( 'GUI', 'Guinea'),
( 'GUM', 'Guam'),
( 'GUY', 'Guyana'),
( 'HAI', 'Haiti'),
( 'HKG', 'Hong Kong'),
( 'HON', 'Honduras'),
( 'HUN', 'Hungary'),
( 'INA', 'Indonesia'),
( 'IND', 'India'),
( 'IRI', 'Iran'),
( 'IRL', 'Ireland'),
( 'IRQ', 'Iraq'),
( 'ISL', 'Iceland'),
( 'ISR', 'Israel'),
( 'ISV', 'Virgin Islands'),
( 'ITA', 'Italy'),
( 'IVB', 'British Virgin Islands'),
( 'JAM', 'Jamaica'),
( 'JOR', 'Jordan'),
( 'JPN', 'Japan'),
( 'KAZ', 'Kazakhstan'),
( 'KEN', 'Kenya'),
( 'KGZ', 'Kyrgyzstan'),
( 'KIR', 'Kiribati'),
( 'KOR', 'South Korea'),
( 'KSA', 'Saudi Arabia'),
( 'KUW', 'Kuwait'),
( 'LAO', 'Laos'),
( 'LAT', 'Latvia'),
( 'LBA', 'Libya'),
( 'LBR', 'Liberia'),
( 'LCA', 'Saint Lucia'),
( 'LES', 'Lesotho'),
( 'LIB', 'Lebanon'),
( 'LIE', 'Liechtenstein'),
( 'LTU', 'Lithuania'),
( 'LUX', 'Luxembourg'),
( 'MAD', 'Madagascar'),
( 'MAR', 'Morocco'),
( 'MAS', 'Malaysia'),
( 'MAW', 'Malawi'),
( 'MDA', 'Moldova'),
( 'MDV', 'Maldives'),
( 'MEX', 'Mexico'),
( 'MGL', 'Mongolia'),
( 'MHL', 'Marshall Islands'),
( 'MKD', 'FYR Macedonia'),
( 'MLI', 'Mali'),
( 'MLT', 'Malta'),
( 'MNE', 'Montenegro'),
( 'MON', 'Monaco'),
( 'MOZ', 'Mozambique'),
( 'MRI', 'Mauritius'),
( 'MTN', 'Mauritania'),
( 'MYA', 'Myanmar'),
( 'NAM', 'Namibia'),
( 'NCA', 'Nicaragua'),
( 'NED', 'Netherlands'),
( 'NEP', 'Nepal'),
( 'NGR', 'Nigeria'),
( 'NIG', 'Niger'),
( 'NOR', 'Norway'),
( 'NRU', 'Nauru'),
( 'NZL', 'New Zealand'),
( 'OMA', 'Oman'),
( 'PAK', 'Pakistan'),
( 'PAN', 'Panama'),
( 'PAR', 'Paraguay'),
( 'PER', 'Peru'),
( 'PHI', 'Philippines'),
( 'PLE', 'Palestine'),
( 'PLW', 'Palau'),
( 'PNG', 'Papua New Guinea'),
( 'POL', 'Poland'),
( 'POR', 'Portugal'),
( 'PRK', 'North Korea'),
( 'PUR', 'Puerto Rico'),
( 'QAT', 'Qatar'),
( 'ROU', 'Romania'),
( 'RSA', 'South Africa'),
( 'RUS', 'Russia'),
( 'RWA', 'Rwanda'),
( 'SAM', 'Samoa'),
( 'SEN', 'Senegal'),
( 'SEY', 'Seychelles'),
( 'SIN', 'Singapore'),
( 'SKN', 'Saint Kitts and Nevis'),
( 'SLE', 'Sierra Leone'),
( 'SLO', 'Slovenia'),
( 'SMR', 'San Marino'),
( 'SOL', 'Solomon Islands'),
( 'SOM', 'Somalia'),
( 'SRB', 'Serbia'),
( 'SRI', 'Sri Lanka'),
( 'STP', 'São Tomé and Príncipe'),
( 'SUD', 'Sudan'),
( 'SUI', 'Switzerland'),
( 'SUR', 'Suriname'),
( 'SVK', 'Slovakia'),
( 'SWE', 'Sweden'),
( 'SWZ', 'Swaziland'),
( 'SYR', 'Syria'),
( 'TAN', 'Tanzania'),
( 'TGA', 'Tonga'),
( 'THA', 'Thailand'),
( 'TJK', 'Tajikistan'),
( 'TKM', 'Turkmenistan'),
( 'TLS', 'Timor-Leste'),
( 'TOG', 'Togo'),
( 'TPE', 'Chinese Taipei'),
( 'TRI', 'Trinidad and Tobago'),
( 'TUN', 'Tunisia'),
( 'TUR', 'Turkey'),
( 'TUV', 'Tuvalu'),
( 'UAE', 'United Arab Emirates'),
( 'UGA', 'Uganda'),
( 'UKR', 'Ukraine'),
( 'URU', 'Uruguay'),
( 'UZB', 'Uzbekistan'),
( 'VAN', 'Vanuatu'),
( 'VEN', 'Venezuela'),
( 'VIE', 'Vietnam'),
( 'VIN', 'Saint Vincent and the Grenadines'),
( 'YEM', 'Yemen'),
( 'ZAM', 'Zambia'),
( 'USA', 'United States'),
( 'ZIM', 'Zimbabwe'),
( 'ANZ', 'Australasia'),
( 'BOH', 'Bohemia'),
( 'BWI', 'British West Indies'),
( 'EUA', 'Flag of Germany United Team of Germany'),
( 'EUN', 'Unified Team'),
( 'FRG', 'West Germany'),
( 'GDR', 'East Germany'),
( 'SCG', 'Serbia and Montenegro'),
( 'TCH', 'Czechoslovakia'),
( 'URS', 'Soviet Union'),
( 'YUG', 'Yugoslavia'),
( 'ZZX', 'Mixed teams');



INSERT INTO ioc_obsolete_codes (country_code, obsolete, period) VALUES
( 'AHO', 'ATO', '1960'),
( 'AHO', 'NAN', '1964'),
( 'ALG', 'AGR', '1964'),
( 'ALG', 'AGL', '1968 S'),
( 'BAR', 'BAD', '1964'),
( 'BEN', 'DAY', '1964'),
( 'BEN', 'DAH', '1968–1976'),
( 'BIH', 'BSH', '1992 S'),
( 'BIZ', 'HBR', '1968–1972'),
( 'BUR', 'VOL', '1972–1984'),
( 'CAF', 'AFC', '1968'),
( 'CAM', 'CAB', '1964'),
( 'CAM', 'KHM', '1972–1976'),
( 'CHA', 'CHD', '1964'),
( 'CHI', 'CIL', '1956 W, 1960 S'),
( 'CIV', 'IVC', '1964'),
( 'CIV', 'CML', '1968'),
( 'COD', 'COK', '1968'),
( 'COD', 'ZAI', '1972–1996'),
( 'CRC', 'COS', '1964'),
( 'CRC', 'CTC', '1984 W'),
( 'DEN', 'DAN', '1960 S, 1968 W'),
( 'DEN', 'DIN', '1968 S'),
( 'EGY', 'RAU', '1960, 1968'),
( 'EGY', 'UAR', '1964'),
( 'ESA', 'SAL', '1964–1976'),
( 'ESP', 'SPA', '1956–1964, 1968 W'),
( 'ETH', 'ETI', '1960, 1968'),
( 'FIJ', 'FIG', '1960'),
( 'GBR', 'GRB', '1956 W–1960'),
( 'GBR', 'GBI', '1964'),
( 'GER', 'ALL', '1968 W'),
( 'GER', 'ALE', '1968 S'),
( 'GER', 'FRG', '1980–1988'),
( 'GUA', 'GUT', '1964'),
( 'GUY', 'GUA', '1960'),
( 'GUY', 'GUI', '1964'),
( 'HKG', 'HOK', '1960–1968'),
( 'HUN', 'UNG', '1956 W, 1960 S'),
( 'INA', 'INS', '1960'),
( 'IRI', 'IRN', '1956–1988'),
( 'IRI', 'IRA', '1968 W'),
( 'IRQ', 'IRK', '1960, 1968'),
( 'ISL', 'ICE', '1960 W, 1964 S'),
( 'JPN', 'GIA', '1956 W, 1960 S'),
( 'JPN', 'JAP', '1960 W'),
( 'KOR', 'COR', '1956 W, 1960 S, 1968 S, 1972 S'),
( 'KSA', 'ARS', '1968–1976'),
( 'KSA', 'SAU', '1980–1984'),
( 'LBA', 'LYA', '1964'),
( 'LBA', 'LBY', '1968 W'),
( 'LIB', 'LEB', '1960 W, 1964 S'),
( 'LIE', 'LIC', '1956 W, 1964 S, 1968 W'),
( 'LTU', 'LIT', '1992 W'),
( 'MAD', 'MAG', '1964'),
( 'MAR', 'MRC', '1964'),
( 'MAS', 'MAL', '1964–1988'),
( 'MDA', 'MLD', '1994'),
( 'MGL', 'MON', '1968 W'),
( 'MLT', 'MAT', '1960–1964'),
( 'MYA', 'BIR', '1960, 1968–1988'),
( 'MYA', 'BUR', '1964'),
( 'NCA', 'NCG', '1964'),
( 'NCA', 'NIC', '1968'),
( 'NED', 'OLA', '1956 W'),
( 'NED', 'NET', '1960 W'),
( 'NED', 'PBA', '1960 S'),
( 'NED', 'NLD', '1964 S'),
( 'NED', 'HOL', '1968–1988'),
( 'NGR', 'NGA', '1964'),
( 'NIG', 'NGR', '1964'),
( 'NZL', 'NZE', '1960, 1968 W'),
( 'PHI', 'FIL', '1960, 1968'),
( 'PNG', 'NGY', '1976–1980'),
( 'PNG', 'NGU', '1984–1988'),
( 'PRK', 'NKO', '1964 S, 1968 W'),
( 'PRK', 'CDN', '1968'),
( 'PUR', 'PRI', '1960'),
( 'PUR', 'PRO', '1968'),
( 'ROU', 'ROM', '1956–1960, 1972–2006'),
( 'ROU', 'RUM', '1964–1968'),
( 'RSA', 'SAF', '1960–1972'),
( 'SEN', 'SGL', '1964'),
( 'SLE', 'SLA', '1968'),
( 'SMR', 'SMA', '1960–1964'),
( 'SRI', 'CEY', '1960–1972'),
( 'SUI', 'SVI', '1956 W, 1960 S'),
( 'SUI', 'SWI', '1960 W, 1964 S'),
( 'SWE', 'SVE', '1956 W, 1960 S'),
( 'SWE', 'SUE', '1968 S'),
( 'SYR', 'RAU', '1960'),
( 'SYR', 'SIR', '1968'),
( 'TGA', 'TON', '1984'),
( 'THA', 'TAI', '1960, 1968'),
( 'TPE', 'RCF', '1960'),
( 'TPE', 'TWN', '1964–1968'),
( 'TPE', 'ROC', '1972–1976'),
( 'TRI', 'TRT', '1964–1968'),
( 'URU', 'URG', '1968'),
( 'USA', 'SUA', '1960 S'),
( 'USA', 'EUA', '1968 S'),
( 'VIE', 'VET', '1964'),
( 'VIE', 'VNM', '1968–1976'),
( 'ZAM', 'NRH', '1964'),
( 'ZIM', 'RHO', '1960–1972'),
( 'BWI', 'ANT', '1960, 1968'),
( 'BWI', 'WID', '1964'),
( 'EUA', 'GER', '1956–1964'),
( 'FRG', 'GER', '1972–1976'),
( 'GDR', 'ADE', '1968'),
( 'SCG', 'YUG', '1996 S-2002 W'),
( 'TCH', 'CSL', '1956 W'),
( 'TCH', 'CZE', '1960 W'),
( 'TCH', 'CSV', '1960 S'),
( 'TCH', 'CZS', '1964 S'),
( 'TCH', 'CHE', '1968 S'),
( 'URS', 'SOV', '1968 W'),
( 'YUG', 'JUG', '1956–1960, 1968 W'),
( 'YUG', 'YUS', '1964 S');

COMMIT;
